Reply
New Contributor
Posts: 1
Registered: ‎03-06-2018

Hive version

[ Edited ]

Currently CDH provide Hive version 0.12 and was not updated since 2013

(according to https://www.cloudera.com/documentation/cdh/5-0-x/CDH-Version-and-Packaging-Information/cdhvd_cdh_pac...)

when hive will be updated? current version is outdated and doesnt have huge list of features, such as integration with druid.

 

Expert Contributor
Posts: 127
Registered: ‎01-08-2018

Re: Hive version

This is not 100% accurate. First of all, the link you provided is for an old version of CDH, the CDH5.0. Latest CDH5.0 was released on 2015.

The current version is CDH5.14, so the latest list is :

https://www.cloudera.com/documentation/enterprise/release-notes/topics/cdh_vd_cdh_package_tarball_51...

 

Moreover, Cloudera selects a base version of the components and adds selected patches from Apache, as you can see in the link below ( I provide the CDH5.13 because the latest returns an empty page):

https://archive.cloudera.com/cdh5/cdh/5/hive-1.1.0-cdh5.13.0.releasenotes.html

As you can see, there is "hive-1.1.0+cdh5.14.0+1330", which means that CDH's Hive is based on version 1.1.0 plus 1330 patches after that.

 

For more details, refer to :

https://www.cloudera.com/documentation/enterprise/release-notes/topics/cdh_vd_cdh_package_tarball.ht...

New Contributor
Posts: 1
Registered: ‎06-04-2018

Re: Hive version

So is it possible to integrate druid with Hive on current CDH version? Nevermind if 5.13 or 5.14 is considering..

 

I think it is not possible, maybe higher version of Hive is needed. But maybe I just made mistake during trying to integrate druid with Hive on CDH 5.14.2.

 

Any help/information will be appreciated. Thanks!

Expert Contributor
Posts: 127
Registered: ‎01-08-2018

Re: Hive version

According to this https://issues.apache.org/jira/browse/HIVE-14217 Druid integration is fixed in Hive 2.2.0.

CDH5 is based on Hive 1.x as mentioned before, and I cannot find the specific patch in the release notes.

Probably CDH6 (which is based on Hive 2.1.0) will support it. We have to wait.

Announcements